> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all overlays

> Returns a list of HTML overlay widgets which are attached to a stream



## OpenAPI

````yaml /api-reference/services_docs_mintlify/streaming_api.yaml get /streaming/streams/{stream_id}/overlays
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: a41613cd4a9e
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
  - name: Broadcasts
  - name: Directories
  - name: Overlays
  - name: Players
  - name: Playlists
  - name: QualitySets
  - name: Restreams
  - name: Statistics
  - name: Streams
  - name: Subtitles
  - name: Videos
paths:
  /streaming/streams/{stream_id}/overlays:
    get:
      tags:
        - Overlays
      summary: Get all overlays
      description: Returns a list of HTML overlay widgets which are attached to a stream
      operationId: get_overlays
      parameters:
        - name: stream_id
          in: path
          description: Stream ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/overlayId'
              example:
                - id: 1
                  stream_id: 12345
                  url: http://domain.tld/myoverlay1.html
                  width: 120
                  height: 40
                  x: 10
                  'y': 10
                  stretch: false
                  created_at: '2023-09-20T00:01:01.000Z'
                  updated_at: '2023-10-01T12:01:01.000Z'
                - id: 2
                  stream_id: 12345
                  url: http://domain.tld/myoverlay2.html
                  width: null
                  height: null
                  x: null
                  'y': null
                  stretch: true
                  created_at: '2023-09-20T00:01:01.000Z'
                  updated_at: '2023-10-01T12:01:01.000Z'
components:
  schemas:
    overlayId:
      allOf:
        - $ref: '#/components/schemas/overlayBase'
        - required:
            - id
            - url
            - stream_id
            - created_at
            - updated_at
          properties:
            id:
              type: integer
              description: ID of the overlay
            stream_id:
              type: integer
              description: ID of a stream to which it is attached
            created_at:
              type: string
              description: Datetime of creation in ISO 8601
            updated_at:
              type: string
              description: Datetime of last update in ISO 8601
          example:
            id: 1
            stream_id: 12345
            url: http://domain.com/myoverlay1.html
            width: 120
            height: 40
            x: 30
            'y': 30
            stretch: false
            created_at: '2023-09-20T00:01:01.000Z'
            updated_at: '2023-10-01T12:01:01.000Z'
    overlayBase:
      type: object
      properties:
        url:
          type: string
          description: Valid http/https URL to an HTML page/widget
        width:
          type: integer
          default: null
          description: Width of the widget
        height:
          type: integer
          default: null
          description: Height of the widget
        x:
          type: integer
          default: null
          description: Coordinate of left upper corner
        'y':
          type: integer
          default: null
          description: Coordinate of left upper corner
        stretch:
          type: boolean
          default: false
          description: >-
            Switch of auto scaling the widget. Must not be used as "true"
            simultaneously with the coordinate installation method (w, h, x, y).
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````